Apache JMeter

## org.apache.jmeter.testelement
Interface TestListener

All Known Implementing Classes:
  AccessLogSampler, AjpSampler, BeanShellAssertion, BeanShellListener, BeanShellPostProcessor, BeanShellPreProcessor, BeanShellSampler, BeanShellTestElement, BeanShellTimer, CacheManager, ConstantThroughputTimer, CookieManager, DataSourceElement, HTTPSampler, HTTPSampler2, HTTPSamplerBase, JavaSampler, LDAPExtSampler, MailerResultCollector, MainFrame, ParamModifier, PublisherSampler, RemoteListenerWrapper, RemoteSampleListenerImpl, RemoteTestListenerWrapper, ReportMainFrame, ReportPlan, ResultCollector, SoapSampler, StringFromFile, Summariser, TestPlan, ThroughputController, UserParameterModifier, WebServiceSampler

    public interface TestListener

TestListener interface is used for methods that are called at different stages of each test.

Method Summary
`void` `testEnded()` Called once for all threads after the end of a test.
`void` `testEnded(String host)` Called once for all threads after the end of a test.
`void` `testIterationStart(LoopIterationEvent event)` Each time through a Thread Group's test script, an iteration event is fired for each thread.
`void` `testStarted()` Called just before the start of the test from the main engine thread.
`void` `testStarted(String host)` Called just before the start of the test from the main engine thread.

Method Detail

### testStarted

    void testStarted()

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  See Also:
    `StandardJMeterEngine.run()`

### testStarted

    void testStarted(String host)

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Parameters:
    `host` - name of host
  See Also:
    `StandardJMeterEngine.run()`

### testEnded

    void testEnded()

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  See Also:
    `StandardJMeterEngine.stopTest()`

### testEnded

    void testEnded(String host)

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Parameters:
    `host` - name of host
  See Also:
    `StandardJMeterEngine.stopTest()`

### testIterationStart

    void testIterationStart(LoopIterationEvent event)

  Each time through a Thread Group's test script, an iteration event is fired for each thread. This will be after the test elements have been cloned, so in general the instance will not be the same as the ones the start/end methods call.

  Parameters:
    `event` -

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.